Loading...
Searching...
No Matches
Catch::Session Class Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Session:
[legend]
Collaboration diagram for Catch::Session:
[legend]

## Public Member Functions

| Session ()
| ~Session ()
void | showHelp () const
void | libIdentify ()
int | applyCommandLine (int argc, char const *const *argv)
void | useConfigData (ConfigData const &configData)
template<typename CharT>
int | run (int argc, CharT const *const argv[])
int | run ()
Clara::Parser const & | cli () const
void | cli (Clara::Parser const &newParser)
ConfigData & | configData ()
Config & | config ()

## Private Member Functions

int | runInternal ()
Private Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Private Attributes

Clara::Parser | m_cli
ConfigData | m_configData
Detail::unique_ptr< Config > | m_config
bool | m_startupExceptions = false

## Constructor & Destructor Documentation

## Session()

Catch::Session::Session | ( |  | ) |

Here is the call graph for this function:

## ~Session()

Catch::Session::~Session | ( |  | ) |

Here is the call graph for this function:

## Member Function Documentation

## applyCommandLine()

int Catch::Session::applyCommandLine | ( | int | argc,
|  | char const *const * | argv )

Here is the call graph for this function:
Here is the caller graph for this function:

## cli() [1/2]

Clara::Parser const & Catch::Session::cli | ( |  | ) | const

## cli() [2/2]

void Catch::Session::cli | ( | Clara::Parser const & | newParser | ) |

## config()

Config & Catch::Session::config | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## configData()

ConfigData & Catch::Session::configData | ( |  | ) |

Here is the caller graph for this function:

## libIdentify()

void Catch::Session::libIdentify | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## run() [1/2]

int Catch::Session::run | ( |  | ) |

Here is the call graph for this function:

## run() [2/2]

template<typename CharT>

int Catch::Session::run | ( | int | argc,
|  | CharT const *const | argv[] )

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## runInternal()

int Catch::Session::runInternal | ( |  | ) |

private

Here is the call graph for this function:
Here is the caller graph for this function:

## showHelp()

void Catch::Session::showHelp | ( |  | ) | const

Here is the call graph for this function:
Here is the caller graph for this function:

## useConfigData()

void Catch::Session::useConfigData | ( | ConfigData const & | configData | ) |

Here is the call graph for this function:

## Member Data Documentation

## m_cli

Clara::Parser Catch::Session::m_cli

private

## m_config

Detail::unique_ptr<Config> Catch::Session::m_config

private

## m_configData

ConfigData Catch::Session::m_configData

private

## m_startupExceptions

bool Catch::Session::m_startupExceptions = false

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp